# 
# The contents of this file are subject to the Mozilla Public 
# License Version 1.1 (the "License"); you may not use this file 
# except in compliance with the License. You may obtain a copy of 
# the License at http://www.mozilla.org/MPL/ 
# 
# Software distributed under the License is distributed on an "AS 
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or 
# implied. See the License for the specific language governing 
# rights and limitations under the License. 
# 
# The Original Code is tUME: the Universal Map Editor, released 
# June 18, 2000. 
# 
# The Initial Developer of the Original Code is Echidna. 
# Portions created by Echidna are Copyright (c) 1989-2000 Echidna. 
# All Rights Reserved. 
# 
# Contributor(s): 
# 

#
# Name of program.
#
PROGRAM   = dumptume

#
# Program Modules.
#
PDEP =	\
		$(PROGRAM).obj	\

ODEP =	\

BLA = \
		$(ELIB)\echidna\beifflib\readcim.obj \
		$(ELIB)\echidna\memlib\memdbug.obj	\

#
# Memory Model
#   s = Small
#   m = Medium
#   c = Compact
#   l = Large
#   h = Huge
MDL		= h
STARTUP	= c0$(MDL).obj

ELDEP =	\
		echidna\beiff$(MDL).lib	\
		echidna\lds$(MDL).lib	\
		echidna\mem$(MDL).lib	\
		echidna\misc$(MDL).lib	\

LDEP = \
		c$(MDL).lib



#
# Name of linker file
#
LINKFILE  = linkfile.lnk

#
# 'C' compiler and global compiler flags.
#
#
# 'C' compiler and global compiler flags.
#
CFLAGS    = $(CMN_CFLAGS) -m$(MDL)
CCOMPILER = $(CMN_CC) 

#
# Assembler and global assembler flags.
#
ASSEMBLER = $(CMN_ASM)
AFLAGS    = /mx /zi

#
# Linker and global linker flags + libraries to like with.
#
LINKER    = $(CMN_LINK)
LFLAGS    = /c /x /v /m
LIBFILE   = libs.lnk

#
# Rule for Assembly modules.
#
.asm.obj:
	$(ASSEMBLER) $(AFLAGS) $*.asm

#
# Rule for 'C' modules.
#
.c.obj:
	$(CCOMPILER) $(CFLAGS) $*.c

#
# Dependency for program.
#
$(PROGRAM).exe: $(PDEP)
	makescan
	$(LINKER) $(LFLAGS) @$(LINKFILE), $(PROGRAM).EXE, , @$(LIBFILE)
	dir $(PROGRAM).EXE
#
# extra dependencies
#

